example_server.c File Reference
`#include "server.h"`
`#include "parser.h"`
`#include <time.h>`

## Macros

#define | SERVER_PORT 8888

## Functions

lscp_status_t | server_callback (lscp_connect_t *pConnect, const char *pchBuffer, int cchBuffer, void *pvData)
void | server_usage (void)
void | server_prompt (void)
int | main (int argc, char *argv[])

## Macro Definition Documentation

## SERVER_PORT

#define SERVER_PORT 8888

Referenced by main().

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

References _lscp_socket_agent_t::addr, _lscp_connect_t::client, _lscp_server_t::connects, _lscp_connect_t::events, _lscp_connect_list_t::first, LSCP_EVENT_MISCELLANEOUS, lscp_server_broadcast(), lscp_server_create(), lscp_server_destroy(), _lscp_connect_t::next, server_callback(), SERVER_PORT, server_prompt(), server_usage(), and _lscp_socket_agent_t::sock.

## server_callback()

lscp_status_t server_callback | ( | lscp_connect_t * | pConnect,
|  | const char * | pchBuffer,
|  | int | cchBuffer,
|  | void * | pvData
| ) |  |

References _lscp_socket_agent_t::addr, _lscp_connect_t::client, LSCP_CONNECT_CLOSE, LSCP_CONNECT_OPEN, lscp_event_from_text(), LSCP_FAILED, LSCP_OK, lscp_parser_free(), lscp_parser_init(), lscp_parser_next(), lscp_parser_nextint(), lscp_parser_nextnum(), lscp_parser_test(), lscp_parser_test2(), lscp_server_build(), lscp_server_package(), lscp_server_result(), lscp_server_subscribe(), lscp_server_unsubscribe(), lscp_server_version(), and lscp_socket_trace().

Referenced by main().

## server_prompt()

void server_prompt | ( | void |  | ) |

Referenced by main().

## server_usage()

void server_usage | ( | void |  | ) |

References lscp_server_build(), lscp_server_package(), and lscp_server_version().

Referenced by main().